#!/bin/bash
 
NUMJOBS="$1"

for i in `seq $NUMJOBS`;
do

mkdir $i 
cp -r prediction_general_age12-64 ./$i
cp -r prediction_general_age65+ ./$i
cp -r prediction_severe_age12-64 ./$i
cp -r prediction_severe_age65+ ./$i
cp -r prediction_death_age12-64 ./$i
cp -r prediction_death_age65+ ./$i

cd ./$i/prediction_general_age12-64/
sbatch -p lin_bat_p -N 1 --ntasks-per-node=1 --time=1:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=getU R CMD BATCH --no-save get_U.R get_U.Rout

cd ../prediction_general_age65+/
sbatch -p lin_bat_p -N 1 --ntasks-per-node=1 --time=1:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=getU R CMD BATCH --no-save get_U.R get_U.Rout

cd ../prediction_severe_age12-64/
sbatch -p lin_bat_p -N 1 --ntasks-per-node=1 --time=1:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=getU R CMD BATCH --no-save get_U.R get_U.Rout

cd ../prediction_severe_age65+/
sbatch -p lin_bat_p -N 1 --ntasks-per-node=1 --time=1:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=getU R CMD BATCH --no-save get_U.R get_U.Rout

cd ../prediction_death_age12-64/
sbatch -p lin_bat_p -N 1 --ntasks-per-node=1 --time=1:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=getU R CMD BATCH --no-save get_U.R get_U.Rout

cd ../prediction_death_age65+/
sbatch -p lin_bat_p -N 1 --ntasks-per-node=1 --time=1:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=getU R CMD BATCH --no-save get_U.R get_U.Rout

cd ../../

done

