#!/bin/bash
 
NUMJOBS="$1"

for i in `seq $NUMJOBS`;
do

cd ./$i/prediction_severe_age12-64/
sbatch -p lin_bat_p -N 2 --ntasks-per-node=40 --time=6:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=pred_svr R CMD BATCH --no-save main0.R main0.Rout

sbatch -p lin_bat_p -N 2 --ntasks-per-node=40 --time=6:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=pred_svr R CMD BATCH --no-save main1.R main1.Rout

sbatch -p lin_bat_p -N 2 --ntasks-per-node=40 --time=6:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=pred_svr R CMD BATCH --no-save main2.R main2.Rout

sbatch -p lin_bat_p -N 2 --ntasks-per-node=40 --time=6:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=pred_svr R CMD BATCH --no-save main3.R main3.Rout

sbatch -p lin_bat_p -N 2 --ntasks-per-node=40 --time=6:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=pred_svr R CMD BATCH --no-save main4.R main4.Rout

cd ../prediction_severe_age65+/
sbatch -p lin_bat_p -N 2 --ntasks-per-node=40 --time=6:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=pred_svr R CMD BATCH --no-save main0.R main0.Rout

sbatch -p lin_bat_p -N 2 --ntasks-per-node=40 --time=6:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=pred_svr R CMD BATCH --no-save main1.R main1.Rout

sbatch -p lin_bat_p -N 2 --ntasks-per-node=40 --time=6:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=pred_svr R CMD BATCH --no-save main2.R main2.Rout

sbatch -p lin_bat_p -N 2 --ntasks-per-node=40 --time=6:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=pred_svr R CMD BATCH --no-save main3.R main3.Rout

sbatch -p lin_bat_p -N 2 --ntasks-per-node=40 --time=6:00:00 --mail-type FAIL --mail-user yangjc@live.unc.edu --job-name=pred_svr R CMD BATCH --no-save main4.R main4.Rout

cd ../../
done

